Bug 1393311 - ipa has wrong provides in spec-file
Summary: ipa has wrong provides in spec-file
Keywords:
Status: CLOSED DUPLICATE of bug 1370134
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 10:09 UTC by Andreas Bleischwitz
Modified: 2016-11-16 19:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-16 19:32:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andreas Bleischwitz 2016-11-09 10:09:36 UTC
Description of problem:
The IPA package seems to have broken dependencies:
[root@ipasrv ~]# yum check
Loaded plugins: product-id, search-disabled-repos, subscription-manager
ipa-admintools-4.4.0-12.el7.noarch has installed conflicts freeipa-admintools: ipa-admintools-4.4.0-12.el7.noarch
ipa-client-4.4.0-12.el7.x86_64 has installed conflicts freeipa-client: ipa-client-4.4.0-12.el7.x86_64
ipa-client-common-4.4.0-12.el7.noarch has installed conflicts freeipa-client-common: ipa-client-common-4.4.0-12.el7.noarch
ipa-common-4.4.0-12.el7.noarch has installed conflicts freeipa-common: ipa-common-4.4.0-12.el7.noarch
ipa-server-4.4.0-12.el7.x86_64 has installed conflicts freeipa-server: ipa-server-4.4.0-12.el7.x86_64
ipa-server-common-4.4.0-12.el7.noarch has installed conflicts freeipa-server-common: ipa-server-common-4.4.0-12.el7.noarch
Error: check all

Version-Release number of selected component (if applicable):
IPA 4.4.0-12

How reproducible:
Always

Steps to Reproduce:
1. Install fresh RHEL7.3 with ipa-server or ipa-client
2. run "yum check"


Actual results:
yum complains about broken dependencies ipa-common -> freeipa-common

Expected results:
yum does not report dependency erros

Additional info:

Comment 1 Petr Vobornik 2016-11-09 11:23:52 UTC
looks as dup of bug 1370134

Comment 3 Andreas Bleischwitz 2016-11-09 13:00:25 UTC
(In reply to Petr Vobornik from comment #1)
> looks as dup of bug 1370134

Bug 1370134 talks about ipa-*-4.4.0-7.el7.x86_64 whereas this is about ipa-*-4.4.0-12.el7.noarch - so if BZ1370134 was fixed, this is a regression.

Comment 4 Petr Vobornik 2016-11-09 14:25:58 UTC
Bug 1370134 is in NEW state so it hasn't been fixed + it's issue in yum so version of IPA doesn't matter.

Comment 5 Petr Vobornik 2016-11-16 19:32:09 UTC

*** This bug has been marked as a duplicate of bug 1370134 ***


Note You need to log in before you can comment on or make changes to this bug.